package com.jachdev.consumerprotection.data;

import com.google.gson.annotations.SerializedName;

/**
 * Created by Charitha Ratnayake(charitha.r@eyepax.com) on 5/3/2022.
 */
public class Exercise {

    private int id;
    private String name;
    private String description;
    private String url;
    @SerializedName("med_type")
    private int medType;
    @SerializedName("updated_at")
    private int timestamp;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public int getMedType() {
        return medType;
    }

    public void setMedType(int medType) {
        this.medType = medType;
    }

    public int getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(int timestamp) {
        this.timestamp = timestamp;
    }

    @Override
    public String toString() {
        return "Exercise{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", url='" + url + '\'' +
                ", medType=" + medType +
                ", timestamp=" + timestamp +
                '}';
    }
}
